Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.service.helper
Class FunctionDescription

    java.lang.Object
      |
      +--context.arch.service.helper.FunctionDescription

public class FunctionDescription
extends java.lang.Object

This class implements a service function description object.

See Also:
  `Services`

Field Summary
`static java.lang.String` | `FUNCTION` Tag for a service function
`static java.lang.String` | `FUNCTION_DESCRIPTION` Tag for a service function description
`static java.lang.String` | `FUNCTION_NAME` Tag for a service function name
`static java.lang.String` | `FUNCTION_TIMING` Tag for a service function timing - synchronous or asynchronous

Constructor Summary
`FunctionDescription(DataObject data)` Basic constructor that creates a function description object from a DataObject.
`FunctionDescription(java.lang.String name, java.lang.String description, java.lang.String timing)` Basic constructor that creates a function description object.

Method Summary
`java.lang.String` | `getDescription()` Returns the description of the service function
`java.lang.String` | `getName()` Returns the name of the service function
`java.lang.String` | `getTiming()` Return the timing of the service function
`void` | `setDescription(java.lang.String description)` Sets the description of the service functions
`void` | `setName(java.lang.String name)` Sets the Name of the service function
`void` | `setTiming(java.lang.String timing)` Sets the timing of the service function - ASYNCHRONOUS or SYNCHRONOUS
`DataObject` | `toDataObject()` This method converts the service function info to a DataObject

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FUNCTION

    public static final java.lang.String FUNCTION

  Tag for a service function

### FUNCTION_NAME

    public static final java.lang.String FUNCTION_NAME

  Tag for a service function name

### FUNCTION_DESCRIPTION

    public static final java.lang.String FUNCTION_DESCRIPTION

  Tag for a service function description

### FUNCTION_TIMING

    public static final java.lang.String FUNCTION_TIMING

  Tag for a service function timing - synchronous or asynchronous

Constructor Detail

### FunctionDescription

    public FunctionDescription(java.lang.String name,
                               java.lang.String description,
                               java.lang.String timing)

  Basic constructor that creates a function description object.
  Parameters:
    `name` - Name of the function
    `description` - Text description of the function
    `timing` - ASYNCHRONOUS or SYNCHRONOUS

### FunctionDescription

    public FunctionDescription(DataObject data)

  Basic constructor that creates a function description object from a DataObject. The dataObject is expected to have a tag as the top level.
  Parameters:
    `data` - DataObject containing function description info

Method Detail

### toDataObject

    public DataObject toDataObject()

  This method converts the service function info to a DataObject
  Returns:
    FunctionDescription object converted to a DataObject

### setName

    public void setName(java.lang.String name)

  Sets the Name of the service function
  Parameters:
    `name` - Name of the service function

### getName

    public java.lang.String getName()

  Returns the name of the service function
  Returns:
    Name of the service function

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of the service functions
  Parameters:
    `description` - Description of the service function

### getDescription

    public java.lang.String getDescription()

  Returns the description of the service function
  Returns:
    description of the service function

### setTiming

    public void setTiming(java.lang.String timing)

  Sets the timing of the service function - ASYNCHRONOUS or SYNCHRONOUS
  Parameters:
    `timing` - Timing of the service function

### getTiming

    public java.lang.String getTiming()

  Return the timing of the service function
  Returns:
    timing of the service function

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD